apt-get update issue: The repository ... does not have a Release file.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
Please sign in to see details of an important advisory in our Customer Advisories area.

apt-get update issue: The repository ... does not have a Release file.

L2 Linker

 

Downloaded tgz today and tried apt-get update without success.

Looks like some repository issues?

 

root@Expedition:/etc/apt/sources.list.d# apt-get update
[...]
W: The repository 'https://conversionupdates.paloaltonetworks.com expedition-updates/ Release' does not have a Release file. N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use. N: See apt-secure(8) manpage for repository creation and user configuration details. root@Expedition:/etc/apt/sources.list.d#
16 REPLIES 16

L7 Applicator

That is working the message doesnt say nothing related that the operation was not done, so please now run the next command to update Expedition

 

sudo apt-get install expedition-beta

Showing as up to date with 1.0.106

 

Thx.

Have 1.0.95 installed. Ran the command sudo apt-get install expedition-beta 

 

Out put:

expedtion-beta is already the newest version (1.0.95). 

 

What am I doing incorreclty? 

 

sudo apt-get update
sudo apt-get install expedition-beta

L2 Linker

Im wondering if we got a timeline for releasing the repository?

We will do at the time to release Expedition 1.1

Pwerfect TX!

What about getting the 'best practices' part of the Expedition tool working?  There is a section under "Expedition Release Information" saying 'Best Practices', but nothing is listed there.  How do I get it working?

 

Thanks!

The BPA works perfectly for me. Did you press the analyze button?

There is no 'analyze' button:

Capture.PNG

 

 

Pefectly? Really?  I have it working but I'd like to know where the final report is?  Also when I make more "Palo BP" changes, the score doesn't change.  Even if I re-import it back in.

 

I would love to see ML and Threat Tunning work before BP for now, just my 2 cents.

hmm interresting. I got Best Practices version 3.6.1 reported.

Is anything green on "expedition internal checks"?

Are you using Chrome?

 

Rgds, Walter

Remember to run this command:

 

sudo bash /var/www/html/OS/BPA/updateBPA306.sh

This command appears when you are updating Expedition and it will install python3 and reinstall the BPA. After that you should see the version from the Dashboard !

I tried to run that command, and received the following:

 

Skipping best-practice-assessment-ngfw-pano as it is not installed.
Collecting pip
  Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:847)'),)': /simple/pip/
  Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:847)'),)': /simple/pip/
  Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:847)'),)': /simple/pip/
  Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:847)'),)': /simple/pip/
  Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:847)'),)': /simple/pip/
  Could not fetch URL https://pypi.org/simple/pip/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/pip/ (Caused by SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:847)'),)) - skipping
  Could not find a version that satisfies the requirement pip (from versions: )
No matching distribution found for pip
Could not fetch URL https://pypi.org/simple/pip/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/pip/ (Caused by SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:847)'),)) - skipping
ln: failed to create symbolic link '/usr/local/bin/python3': File exists
ln: failed to create symbolic link '/usr/local/bin/pip3': File exists
Processing /var/www/html/OS/BPA/best_practice_assessment_ngfw_pano-master.zip
Collecting pandas>=0.22.0 (from best-practice-assessment-ngfw-pano==3.6.1)
  Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLError(1, u'[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)'),)': /simple/pandas/
  Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLError(1, u'[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)'),)': /simple/pandas/
  Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLError(1, u'[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)'),)': /simple/pandas/
  Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLError(1, u'[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)'),)': /simple/pandas/
  Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLError(1, u'[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)'),)': /simple/pandas/
  Could not fetch URL https://pypi.org/simple/pandas/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/pandas/ (Caused by SSLError(SSLError(1, u'[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)'),)) - skipping
  Could not find a version that satisfies the requirement pandas>=0.22.0 (from best-practice-assessment-ngfw-pano==3.6.1) (from versions: )
No matching distribution found for pandas>=0.22.0 (from best-practice-assessment-ngfw-pano==3.6.1)
Could not fetch URL https://pypi.org/simple/pip/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/pip/ (Caused by SSLError(SSLError(1, u'[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)'),)) - skipping

  • 17083 Views
  • 16 replies
  • 0 Likes
Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the LIVEcommunity as a whole!

The LIVEcommunity thanks you for your participation!